<?php
/**
* @version $Id: mod_gsg.php,v 1.00 2005/10/05 18:07:56 stingrey Exp $
* @package Emptorum CRM Version 1.0
* @copyright (C) 2000 - 2004 Miro International Pty Ltd
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* Mambo is Free Software
*/

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );
global $database, $my, $mosConfig_absolute_path, $mosConfig_live_site;

// We check to see if the componet exists!  If it does then we will run the script  
if (file_exists($mosConfig_absolute_path.'/administrator/components/com_gsg/admin.gsg.php')):
	require($mosConfig_absolute_path."/administrator/components/com_gsg/gsg.config.php");
	require($mosConfig_absolute_path."/administrator/components/com_gsg/gsg.class.php");

	$gsg_xml_location = $mosConfig_absolute_path."/".$gsg_location.$gsg_filename.".xml";

	//Has the XML file been established already?  Check the Config file as it needs the settings
	//What Date and Time has been stored in the Config File
	$gsg_file_date = filemtime($gsg_xml_location);
	$gsg_created = date ("Y-m-d H:i:s", $gsg_file_date);

	//We split up the section now to make a new time
	list($date, $hours) = split(' ', $gsg_created);
	list($year,$month,$day) = split('-',$date);
	list($hour,$min,$sec) = split(':',$hours);
	$date = date("Y-m-d H:i:s",mktime($hour, $min, $sec, $month, $day+$gsg_module_hours, $year));

	$today = mosCurrentDate($format="%Y-%m-%d %H:%M:%S");

	//This is the procedure to make the XML File

	//We check first if the Module is set to ON
	//It will only be executed if set to ON
	if ($gsg_module_on):
		//we will check now if we have to run the XML file again
		if ($today > $date):
			//Get all the Urls.  Call up the functions 
	                //Save the XML File
        	        gsg::geturl($option, true);
			//Ping to Google
        	        gsg::gsg_ping();
		endif;
	endif;
endif;

?>

